Bug 491361 - impossible to upload a sat-certificate over WEBUI
impossible to upload a sat-certificate over WEBUI
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Jay Dobies
Steve Salevan
: Regression
Depends On:
Blocks: 463876
  Show dependency treegraph
Reported: 2009-03-20 12:01 EDT by Tomas Lestach
Modified: 2010-07-29 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 14:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-03-20 12:01:11 EDT
I have an installed Satellite 5.3.0.
If I update (WEBUI - Admin - RHN Satellite Configuration - Certificate) a certificate generated for v5.2.x (cert.52), I get following error: "Unhandled error".

More precise information would be helpful.
Comment 1 Tomas Lestach 2009-03-20 12:29:14 EDT
I got the same behaviour when I uploaded a certificate meant for v5.3 (cert.53)
Comment 2 Jay Dobies 2009-05-13 16:25:13 EDT
500727 is considered a blocker as there will be no way to upload a 5.2 cert over a 5.3 cert unless that BZ is resolved.

In the meantime, I am going to add some changes for this bug that will at very least log the error message from the call to rhn-satellite-activate. Will touch base with mizmo to see if we have a means to display this sort of potentially long error message in the UI.
Comment 3 Jay Dobies 2009-05-14 16:04:22 EDT
commit	e1708928e7de8d26cb92d7985c22421a0cba2ae7
tree	30c9565244b0006f510210846812602cde8079b1

commit	c4ad7d8274c7daf5b5f4887f6108cc729d268734
tree	41c796e4e588226454e28caff29c2a96d9cb4a19


Added note to applicable UI error messages to check the log for error messages from the activation process itself.

The process error message was captured and logged as part of a previous commit. This change will now inform the user through the UI to check the log file for details.

To make sure the discussion is documented, we discussed another option to provide a link with the simple error message at the top of the screen that would popup a browser without chrome to show the error message.

Technically, the solution didn't really have a clean approach since the errors are not logged to their own log files. Instead, they are captured by the call to the process that runs rhn-satellite-activate. That gives us a String in memory to have to pass around.

Since the flow for this approach requires a separate link, we'd either have to pass that error message around as a hidden request parameter (ugly) or store it in the session (not ideal). Since this is such a one off situation, I opted for logging it to the log file and seeing what feedback we get.

I decided against that route since we already do a good deal of customization of the error message based on the error code returned. In many cases, that will be enough information. On the occasion that more detail is needed, it is still available in the log files.
Comment 4 Steve Salevan 2009-05-26 16:08:28 EDT
Received message upon following reproducer and intelligible output found in /var/log/tomcat5/catalina.out.  Moving to VERIFIED, tested on 5/21 build.
Comment 5 wes hayutin 2009-08-03 14:23:06 EDT
uploaded two different certs w/ webui.. both worked
Comment 6 Brandon Perkins 2009-09-10 14:54:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.